Bug 634917 - [abrt] ffado-2.0.1-3.20100706.svn1864.fc13: saffire.py:303:__init__:AttributeError: 'SaffireMixerMono' object has no attribute 'sldIN1Out910'
[abrt] ffado-2.0.1-3.20100706.svn1864.fc13: saffire.py:303:__init__:Attribute...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: libffado (Show other bugs)
13
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Orcan Ogetbil
Fedora Extras Quality Assurance
abrt_hash:7768b819
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-09-17 07:14 EDT by John Walker
Modified: 2011-06-28 08:43 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-28 08:43:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (762 bytes, text/plain)
2010-09-17 07:14 EDT, John Walker
no flags Details

  None (edit)
Description John Walker 2010-09-17 07:14:36 EDT
abrt version: 1.1.13
architecture: x86_64
cmdline: /usr/bin/python /usr/bin/ffado-mixer
component: libffado
executable: /usr/bin/ffado-mixer
kernel: 2.6.33.6-147.2.4.rt28.1.fc13.ccrma.x86_64.rt
package: ffado-2.0.1-3.20100706.svn1864.fc13
reason: saffire.py:303:__init__:AttributeError: 'SaffireMixerMono' object has no attribute 'sldIN1Out910'
release: Fedora release 13 (Goddard)
time: 1284722009
uid: 500

backtrace
-----
saffire.py:303:__init__:AttributeError: 'SaffireMixerMono' object has no attribute 'sldIN1Out910'

Traceback (most recent call last):
  File "/usr/lib/python2.6/site-packages/ffado/panelmanager.py", line 350, in updatePanels
    mixerwidget.initValues()
  File "/usr/lib/python2.6/site-packages/ffado/mixer/saffire.py", line 138, in initValues
    self.mono = SaffireMixerMono(self)
  File "/usr/lib/python2.6/site-packages/ffado/mixer/saffire.py", line 303, in __init__
    self.sldIN1Out910: ['/Mixer/MatrixMixerMono', 0, 0],
AttributeError: 'SaffireMixerMono' object has no attribute 'sldIN1Out910'

Local variables in innermost frame:
self: <ffado.mixer.saffire.SaffireMixerMono object at 0x2d69b78>
parent: <ffado.mixer.saffire.Saffire object at 0x2d69958>

How to reproduce
-----
1. Start Jack via qjackctl
2. Run ffado-mixer
3.
Comment 1 John Walker 2010-09-17 07:14:40 EDT
Created attachment 447975 [details]
File: backtrace
Comment 2 John Walker 2010-09-18 03:07:36 EDT
Package: ffado-2.0.1-3.20100706.svn1864.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Start Jack via qjackctl (makes no difference; also crashes if qjackctl is not running)
2. Run ffado-mixer
3.
Comment 3 Orcan Ogetbil 2010-09-19 15:30:21 EDT
forwarded upstream: http://subversion.ffado.org/ticket/305
Comment 4 Orcan Ogetbil 2010-09-19 19:13:10 EDT
As advised by the developers, please follow
   /usr/share/doc/libffado-2.0.1/README
sections "In case of problems" and "Writing a bug report" to generate a proper report. Thanks.
Comment 5 John Walker 2010-09-21 07:34:49 EDT
Package: ffado-2.0.1-3.20100706.svn1864.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Run ffado-mixer
2. 
3.
Comment 6 John Walker 2010-09-23 14:42:24 EDT
Package: ffado-2.0.1-3.20100706.svn1864.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Run ffado-mixer
2. 
3.
Comment 7 John Walker 2010-10-02 09:31:36 EDT
Package: ffado-2.0.1-3.20100706.svn1864.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Run ffado-mixer
2. 
3.
Comment 8 Orcan Ogetbil 2010-10-03 01:10:48 EDT
Hi John,
re-reporting the bug will not help much. Did you follow comment #4 ?
Comment 9 John Walker 2010-11-07 11:20:46 EST
Package: ffado-2.1.0-0.1.20101015.svn1913.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. Installed Fedora 14
2. Tried to run su -c 'ffado-dbus-server &' which failed
3. The ran ffado-m9xer, at which point the crash happened
Comment 10 Orcan Ogetbil 2010-11-07 11:24:55 EST
John, you really need to follow comment #4. I can't do anything until you do this.
Comment 11 John Walker 2010-12-04 14:37:43 EST
Package: ffado-2.0.1-3.20100706.svn1864.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Run ffado-mixer
2. 
3.
Comment 12 Orcan Ogetbil 2010-12-04 14:53:07 EST
You keep ignoring my responses. From now on I am ignoring your reports. Sorry.
Comment 13 Bug Zapper 2011-05-31 09:15:51 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 14 Bug Zapper 2011-06-28 08:43:15 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.